package cn.com.qmth.examcloud.core.oe.student.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.student.service.ExamBossService;
import cn.com.qmth.examcloud.support.examing.ExamBoss;
import cn.com.qmth.examcloud.support.redis.RedisKeyHelper;
import cn.com.qmth.examcloud.web.redis.RedisClient;

/**
 * @author chenken
 * @date 2018/8/15 9:24
 * @company QMTH
 * @description 考试会话服务实现
 */
@Service("examBossService")
public class ExamBossServiceImpl implements ExamBossService {

    @Autowired
    private RedisClient redisClient;

    @Override
    public void saveExamBoss(Long examId, ExamBoss eb) {
        String key = RedisKeyHelper.getBuilder().examBossKey(examId);
        redisClient.set(key,eb,-1);
    }

    @Override
    public ExamBoss getExamBoss(Long examId) {
        String key = RedisKeyHelper.getBuilder().examBossKey(examId);
        return redisClient.get(key+examId,ExamBoss.class);
    }

    @Override
    public void deleteExamBoss(Long examId) {
        String key = RedisKeyHelper.getBuilder().examBossKey(examId);
        redisClient.delete(key+examId);
    }
}
